restinio::utils::javascript_compatible_unescape_traits Struct Reference

The traits for escaping and unexcaping symbols in JavaScript-compatible mode. More...

`#include <percent_encoding.hpp>`

Inheritance diagram for restinio::utils::javascript_compatible_unescape_traits:

## Static Public Member Functions

static constexpr bool | ordinary_char (char c) noexcept

## Detailed Description

The traits for escaping and unexcaping symbols in JavaScript-compatible mode.

The following symbols are allowed to be unescaped: `-`, `.`, `~`, `_`, `*`, `!`, ‘’`,`(`,`)`

Note
  The list of allowed symbols was extended in v.0.6.5.

Since
  v.0.4.9.1, v.0.6.5

Definition at line 124 of file percent_encoding.hpp.

## Member Function Documentation

## ordinary_char()

static constexpr bool restinio::utils::javascript_compatible_unescape_traits::ordinary_char | ( | char | c | ) |

inlinestaticconstexprnoexcept

Definition at line 127 of file percent_encoding.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/percent_encoding.hpp